<?php
/**
 * @wordpress-plugin
 * Plugin Name: KGV Vereinsverwaltung
 * Plugin URI: https://wordpress.apex-project.de/
 * Description: Verwaltung von Sparten, Parzellen, Mitgliedern, Pächtern sowie Wasser- und Stromzählern für Kleingartenvereine.
 * Version: 1.17.10
 * Author: Ronny Grobel
 * Author URI: https://apex-project.de/
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Update URI: https://git.apex-project.de/Wordpress_Plugins/KGV-Verein-Manager.git
 * Gitea Plugin URI: https://git.apex-project.de/Wordpress_Plugins/KGV-Verein-Manager.git
 * Text Domain: kgv-verein-manager
 * Domain Path: /languages
 * Requires at least: 6.0
 * Requires PHP: 7.2
 * Requires Plugins: KGV-Updater
 * @package KGV\VereinManager
 * License:     GPLv2+
 *
 * Php Version 5.6
 *
 * @package WordPress
 * @author  Ronny Grobel <dgsoft.de@gmail.com>
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @version 2026-04-16
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'KGVVM_VERSION', '1.17.10' );
define( 'KGVVM_PLUGIN_FILE', __FILE__ );
define( 'KGVVM_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'KGVVM_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'KGVVM_TEXT_DOMAIN', 'kgv-verein-manager' );

require_once KGVVM_PLUGIN_DIR . 'includes/Autoloader.php';

\KGV\VereinManager\Autoloader::register();

register_activation_hook( __FILE__, array( '\\KGV\\VereinManager\\Activator', 'activate' ) );
register_deactivation_hook( __FILE__, array( '\\KGV\\VereinManager\\Deactivator', 'deactivate' ) );

add_action(
	'init',
	function() {
		\KGV\VereinManager\Plugin::instance()->run();
	},
	1
);
